OpenVDB 5.1.0

Functions
openvdb::v5_1::points::point_scatter_internal Namespace Reference

## Functions
template<typename PointDataGridT , typename GridT >
PointDataGridT::Ptr | initialisePointTopology (const GridT &grid)
| initialise the topology of a PointDataGrid and ensure everything is voxelized More...
template<typename PositionType , typename CodecT , typename RandGenT , typename LeafNodeT >
void | generatePositions (LeafNodeT &leaf, const AttributeSet::Descriptor::Ptr &descriptor, const Index64 &count, const float spread, RandGenT &rand01)
| Generate random point positions for a leaf node. More...

## Function Documentation

## ◆ generatePositions()

void openvdb::v5_1::points::point_scatter_internal::generatePositions | ( | LeafNodeT & | leaf,
|  | const AttributeSet::Descriptor::Ptr & | descriptor,
|  | const Index64 & | count,
|  | const float | spread,
|  | RandGenT & | rand01
| ) |  |
| inline

Generate random point positions for a leaf node.

Parameters

  leaf | The leaf node to initialize
  descriptor | The descriptor containing the position type
  count | The number of points to generate
  spread | The spread of points from the voxel center
  rand01 | The random number generator, expected to produce floating point values between 0 and 1.

## ◆ initialisePointTopology()

PointDataGridT::Ptr openvdb::v5_1::points::point_scatter_internal::initialisePointTopology | ( | const GridT & | grid | ) |
| inline

initialise the topology of a PointDataGrid and ensure everything is voxelized

Parameters

  grid | The source grid from which to base the topology generation